# List crypto instructions

Returns the distinct Ripple-owned on-chain destinations to which the authenticated tenant
sends RLUSD for redemption/bridging. An empty or cold cache returns an empty page with 200 OK.

Endpoint: GET /v1/stablecoin/crypto-instructions
Version: 1.0.0
Security: oauth2

## Query parameters:

  - `page` (integer)
    Page number, 0-indexed (default 0)

  - `size` (integer)
    Page size (default 20)

  - `sort` (string)
    Sort field and direction (default: chain,asc).
Supported fields: chain, counterpartyAddress.

## Response 200 fields (application/json):

  - `content` (array)

  - `content.counterpartyAddress` (string, required)
    Ripple-owned address to which RLUSD is sent for redemption/bridging. EVM addresses include the
0x prefix; XRPL and Solana addresses are unchanged.
    Example: 1.6601735369684037e+47

  - `content.chain` (string, required)
    Blockchain network name.
    Example: "ETH_SEPOLIA"

  - `totalElements` (integer)
    Total number of distinct redemption destinations

  - `totalPages` (integer)

  - `size` (integer)

  - `number` (integer)
    Current page number (0-indexed)

## Response 401 fields (application/problem+json):

  - `type` (string)
    URI reference identifying the problem type

  - `title` (string)
    Short, human-readable summary of the problem

  - `status` (integer)
    HTTP status code

  - `code` (string)
    Machine-readable error code
    Enum: "TRANSACTION_NOT_FOUND", "TRANSACTION_INVALID_STATUS_TRANSITION", "TRANSACTION_DESTINATION_TYPE_IMMUTABLE", "FIAT_INSTRUCTION_NOT_FOUND", "FIAT_INSTRUCTION_ALREADY_EXISTS", "FIAT_INSTRUCTION_INVALID_STATUS_TRANSITION", "STABLECOIN_BANK_DETAILS_NOT_FOUND", "WALLET_NOT_FOUND", "WALLET_NOT_APPROVED", "FORBIDDEN", "UPSTREAM_UNAVAILABLE", "INVALID_REQUEST_BODY", "UNKNOWN_EXCEPTION"


